%define		php_name	php%{?php_suffix}
%define		modname	Net_Gopher
%define		extname	gopher
%define		status	stable
Summary:	%{modname} - fopen wrapper for the gopher protocol
Summary(pl.UTF-8):	%{modname} - wrapper fopen dla protokołu gopher
Name:		%{php_name}-pecl-%{modname}
Version:	1.0.0
Release:	8
License:	PHP
Group:		Development/Languages/PHP
Source0:	http://pecl.php.net/get/%{modname}-%{version}.tgz
# Source0-md5:	85435fc2d8f067558acc81c33a453d83
URL:		http://pecl.php.net/package/Net_Gopher/
BuildRequires:	%{php_name}-devel >= 3:5.0.0
BuildRequires:	rpmbuild(macros) >= 1.650
%{?requires_php_extension}
Requires:	php(core) >= 5.0.4
Obsoletes:	php-pear-%{modname}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
fopen wrapper for retrieving documents via gopher protocol. Includes
additional function for parsing gopher directory entries.

In PECL status of this package is: %{status}.

%description -l pl.UTF-8
Wrapper wokół funkcji fopen pozwalający na pobieranie dokumentów za
pomocą protokołu gopher. Zawiera dodatkową funkcję służącą parsowaniu
pozycji katalogu.

To rozszerzenie ma w PECL status: %{status}.

%prep
%setup -qc
mv %{modname}-%{version}/* .

%build
phpize
%configure \
	--enable-gopher
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{php_sysconfdir}/conf.d,%{php_extensiondir}}

install -p modules/%{extname}.so $RPM_BUILD_ROOT%{php_extensiondir}
cat <<'EOF' > $RPM_BUILD_ROOT%{php_sysconfdir}/conf.d/%{extname}.ini
; Enable %{modname} extension module
extension=%{extname}.so
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%config(noreplace) %verify(not md5 mtime size) %{php_sysconfdir}/conf.d/%{extname}.ini
%attr(755,root,root) %{php_extensiondir}/%{extname}.so
%changelog
* Sun Nov 24 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/php-pecl-Net_Gopher.git;a=log;h=AC-branch

* Sun Nov 24 2013 Elan Ruusamäe <glen@delfi.ee> eebdac4
- release 8 (by relup.sh)

* Fri Jun 21 2013 Elan Ruusamäe <glen@delfi.ee> 1200660
support building for multiple php versions

* Tue Jan 31 2012 Elan Ruusamäe <glen@pld-linux.org> f48050b
- release 7

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> b16f5db
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> a615c27
- converted to UTF-8

* Thu Dec 14 2006 Elan Ruusamäe <glen@pld-linux.org> b9f91b4
- use new php extension related macros

* Wed Dec 13 2006 Elan Ruusamäe <glen@pld-linux.org> e7ed20e
- rel 6 (php 5.2.0)

* Thu Nov 02 2006 Elan Ruusamäe <glen@pld-linux.org> e6ce23b
- BR rpmmacros for fixed %requires_php_extension

* Thu Dec 22 2005 Elan Ruusamäe <glen@pld-linux.org> 7c23fe7
- rel 5 (rebuild with new php)

* Sun Oct 30 2005 Elan Ruusamäe <glen@pld-linux.org> 10e586d
- rel 4

* Sat Oct 29 2005 Elan Ruusamäe <glen@pld-linux.org> 72586d4
- rebuild with zts and debug requires

* Tue Sep 13 2005 Elan Ruusamäe <glen@pld-linux.org> e795697
- workaround for spec parser having macro undefined yet and not seeing BR

* Tue Sep 13 2005 Elan Ruusamäe <glen@pld-linux.org> 151fd7e
- use new php/zend api macros

* Mon Sep 12 2005 Elan Ruusamäe <glen@pld-linux.org> 3a8e137
- ./adapter -s

* Sun Sep 11 2005 Elan Ruusamäe <glen@pld-linux.org> f3634e6
- full conf.d support and unifications

* Sun Mar 20 2005 Adam Gołębiowski <adamg@pld-linux.org> 64e8def
- updated to 1.0.0

* Sun May 30 2004 Adam Gołębiowski <adamg@pld-linux.org> 98aa3fd
- fixed english information about status of the package (also s/PEAR/PECL/)

* Wed Oct 15 2003 Adam Gołębiowski <adamg@pld-linux.org> b3e8c34
- it finally happened - PECL separated from PEAR and moved to its own
  repository, thus changes in urls (s/pear/pecl/)

* Tue Oct 07 2003 Adam Gołębiowski <adamg@pld-linux.org> 1123cb8
- do not use macros in URL

* Sun Aug 31 2003 Adam Gołębiowski <adamg@pld-linux.org> 700af3e
- more specific URL

